/*
 * Copyright 2018 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.xyz.plugins.prebuilt

import org.gradle.api.Plugin
import org.gradle.api.Project

/**
 * A plugin to provide an extension to configure prebuilt library.
 */
class NativePrebuiltLibraryPlugin implements Plugin<Project> {
    void apply(Project project) {
        // Add a extension to the Gradle model
        project.extensions.create("prebuiltLibrary", NativePrebuiltLibraryExtension.class, project.layout, project.objects)
    }
}